:root {
    /* font size */
    --fs-p:  1rem;
    --fs-h1: 2.8rem;
    --fs-headline: 2.8rem;
    --fs-tagline: 1.3rem;
    --fs-banner: 2rem;
    --fs-h2: 2.4rem;
    --fs-h3: 2rem;
    --fs-h4: 1.4rem;
    
    /* general colors */
    --bgrnd:  #fff;  /* background */
    --txt-p:  #333;
    --txt-h1: #222;
    --txt-h2: #222;
    --txt-h3: #2c2c2c;
    --txt-h4: #2c2c2c;
    --txt-s:  #666;  /* <small> */
    --txt-strong: #111111;  /* <strong> */
    --link-txt: #4270c9;
    --h-brd: 2px solid rgb(222, 226, 230);  /* line under h1 */
    
    /* different txt */
    --txt-bf: 600;
    --h-bf: 500;
    --headline-bf: 500;
    --tagline-bf: 300;
    --banner-bf: 400;
    --price-bf: 600;
    
    /* size */
    --menu-top-height: 54px;
    --menu-left-width: 270px;
    --main-width: 1000px; 
    --features-list-width: 300px;
    --form-width: 600px;
    --radius-s: 5px;
    --radius-m: 10px;
    --radius-l: 10px;
    
    /* menu */
    --menu-bg: #fff;
    --menu-brd: 1px solid rgb(222, 226, 230);
    --menu-shdw: 10px 0 30px rgba(0, 0, 0, 0.2);
    --menu-item-act: rgb(222, 226, 230); 
    --menu-txt: #444;
    --menu-txt-bf: 600;  
    --menu-txt-act: #333;
    --menu-chain: 1px solid rgb(222, 226, 230);
    --menu-btn: #fff;
    --menu-btn-brd: 1px solid #fff;
    --menu-btn-act: rgb(248, 249, 250);
    --menu-btn-brd-act: 1px solid rgb(222, 226, 230);
    --menu-btn-txt: #fff;
    --menu-overlay: rgba(255, 255, 255, 0.2);
    
    /* footnote */
    --fnote-bg: rgba(222, 226, 230, 0.1);
    --fnote-brd: 4px solid rgb(222, 226, 230);
    --fnote-txt: #666; 
    --fnote-txt-bf: bold;  
    
    /* lic */
    --lic-bg: rgba(222, 226, 230, 0.1);
    --lic-brd: 4px solid rgb(222, 226, 230);
    
    /* img */
    --img-frm-bg: rgb(222, 226, 230);  
    
    /* grid */ 
    --grid-bg:  rgb(248, 249, 250);
    --grid-brd: 1px solid rgb(222, 226, 230);
    
    /* module & util */
    --module-txt: #ffffff;  /* title */
    --module-txt-act: #b8b8b8;
    --w2l-bg: rgb( 24,  90, 189);
    --l2w-bg: rgb(196,  62,  28);
    --m2e-bg: rgb( 16, 124,  65);
    --e2e-bg: rgb(119,  25, 170);
    --util-txt: #333;
    --util-txt-bf: 600;  
    --util-bg-act: rgb(222, 226, 230);
    
        
    /* feature */
    --feat-bg:    rgba(222, 226, 230, 0.1);
    --feat-act:   rgba(222, 226, 230, 0.2);
    --feat-h-brd: 5px solid rgb(222, 226, 230); 
    --feat-brd:   4px solid rgb(222, 226, 230);
    --feat-txt-bf: 600;  
    
    /* header */
    --banner-shdw: 5px 5px 10px #bebebe, -5px -5px 10px #ffffff;
    
    /* footer */
    --footer-bg: rgb(222, 226, 230);
    --footer-brd: 1px solid rgba(0,0,0,0.1); 
    --footer-shdw: 0 -5px 20px rgba(0,0,0,0.2); 
    --footer-txt: #555;

    /* tab (pricing) */
    --tab-txt: #444;
    --tab-sel-txt: #333;
    --tab-txt-bf: 600;
    --tab-top: 80px;
    --tab-elem-width: 500px;
    
    --tab-bg: #fff;
    --tab-shdw: 10px 10px 20px #bebebe, -10px -10px 20px #ffffff;
    
    --tab-btn-bg: rgba(222, 226, 230, 0.1);
    --tab-btn-sel-bg: #fff;
    --tab-btn-shdw: 5px 5px 10px #bebebe, -5px -5px 10px #ffffff;
    --tab-btn-brd: 1px solid rgba(0,0,0,0.1);
    --tab-btn-act-brd: 1px solid rgba(0,0,0,0.0);
}

*, *::before, *::after {
    box-sizing: border-box;
}

html { 
    scroll-behavior: smooth; 
    scroll-padding-top: var(--menu-top-height); 
}

body{
    display: flex; 
    flex-direction: column;
    align-items: stretch;
    min-height: 100dvh; 
    background-color: var(--bgrnd); 
    color: var(--txt-p); 
    font-family: system-ui, -apple-system, 'Segoe UI', sans-serif;   
    font-size: var(--fs-p); 
    line-height: 1.5; 
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased; 
    -moz-osx-font-smoothing: grayscale;
    margin: 0;
    padding: 0;
}

p {
    margin: 0 0 1.2rem 0;
    padding: 0;
}        
p:last-child {
    margin-bottom: 0;
}

.txt-center {
    text-align: center; 
}
.txt-bf {  /* <strong> */
    color: var(--txt-strong); 
    font-weight: var(--txt-bf);
}
.txt-it {  /* <i> */
    color: var(--txt-strong); 
    font-style: italic;
}
.txt-opt {  /* <strong> for options */
    display: inline-block; 
    background-color: rgba(0, 0, 0, 0.04); 
    border-radius: var(--radius-s); 
    color: var(--txt-strong);
    font-size: 0.95rem; 
    font-weight: var(--txt-bf);
    padding: 0.15rem 0.35rem; 
}


h1 { 
    display: flex;
    gap: 0.7rem;
    align-items: center;
    color: var(--txt-h1); 
    font-size: var(--fs-h1); 
    font-weight: var(--h-bf);
    margin:  0 0 1rem 0;
    padding: 0;
}
h2 { 
    display: flex;
    justify-content: space-between; 
    align-items: center;
    border-bottom: var(--h-brd); 
    color: var(--txt-h2); 
    font-size: var(--fs-h2); 
    font-weight: var(--h-bf);
    margin:  0 0 1rem 0;
    padding: 0 0 0.5rem 0; 
}
h3 { 
    color: var(--txt-h3); 
    font-size: var(--fs-h3); 
    font-weight: var(--h-bf); 
    margin: 1.7rem 0 0.5rem 0; 
    padding: 0;
}
h4 { 
    color: var(--txt-h4); 
    font-size: var(--fs-h4); 
    font-weight: var(--h-bf); 
    margin: 1.7rem 0 0.5rem 0; 
    padding: 0;
}

h1.headline {  /* title */
    justify-content: space-between;
    font-size: var(--fs-headline); 
    font-weight: var(--headline-bf);
    letter-spacing: -0.5px;
    margin: 1rem 0 0 0;
}
h2.tagline {  /* under title */
    border-bottom: none;
    font-size: var(--fs-tagline); 
    font-weight: var(--tagline-bf);
    letter-spacing: -0.5px;
    margin: -0.5rem 0 3rem 0;
}
h2.light {  /* light version of h2, visually as h3 */
    border-bottom: none;
    font-size: var(--fs-h3); 
    margin: 1.7rem 0 0.5rem 0; 
}
h3.light {  /* light version of h3, visually as h4 */
    font-size: var(--fs-h4); 
    margin: 1.7rem 0 0.5rem 0; 
}
h4.light {  /* light version of h4, visually as bold */
    font-size: var(--fs-p); 
    color: var(--txt-strong); 
    font-weight: var(--txt-bf);
}

small {
    display: block;
    line-height: 1.4; 
    font-size: 0.85rem; 
    color: var(--txt-s); 
}
small.lic {
    border-radius: var(--radius-s);
    border-left: var(--lic-brd);
    background-color: var(--lic-bg);
    text-align: justify;
    padding: 0.5rem 1rem; 
}

.notes {  /* Notes & See Also, visually equal to h4 */
    color: var(--txt-h4); 
    font-size: var(--fs-h4); 
    font-weight: var(--h-bf); 
    margin: 1.7rem 0 0.5rem 0; 
    padding: 0;
}

.char-sup {  /* sup for 'A' in LATEX */
    vertical-align: 40%; 
    font-size: 55%;
}
.char-sub {  /* sub for 'E' in LATEX */
    vertical-align: sub; 
    line-height: 0;
}
.char-mid {  /* for humburger/close buttons */
    vertical-align: middle;
}


/* top menu */
header {
    display: flex;
    align-items: center;
    position: fixed; 
    top: 0;
    left: 0;
    width: 100%;
    height: var(--menu-top-height);
    background-color: var(--menu-bg);
    border-bottom: var(--menu-brd);
    z-index: 1000; 
}
header nav {  /* maximize top menu width */
    flex-grow: 1; 
    display: flex;
}

.menu-top {  /* is actualy a list of links */
    display: flex;
    justify-content: flex-start;
    align-items: center; 
    flex-grow: 1;
    width: 100%;
    font-size: 0.9rem;
    list-style: none; 
    margin: 0 3rem;
    padding: 0;
    user-select: none;
}
.menu-top li {
    flex: none;
    text-align: center; 
}

.menu-top li:nth-child(3) {  /* ico+name */
    font-size: 1.1rem;
    font-weight: var(--menu-txt-bf);
    margin-left: 0.5rem;
}
.menu-top li:nth-child(n+4) {
    margin-left: 1.3rem; 
}

.menu-top a, .menu-top a:visited {
    display: block; 
    color: var(--menu-txt); 
    text-decoration: none;
}
.menu-top a:hover, .menu-top a:active {
    color: var(--menu-txt-act); 
    text-decoration: underline;
    text-decoration-thickness: 2px; 
    text-underline-offset: 5px; 
    text-decoration-color: var(--menu-txt-act); 
} 
li.menu-short {  /* top short menu; menu-wide - top wide menu (displayed by default) */
    display: none;
}

.menu-top a.open-btn, .menu-top a.open-btn:visited {  /* hamburger is actualy a link */
    background-color: var(--menu-btn);
    border: var(--menu-btn-brd); 
    border-radius: var(--radius-s);
    padding: 0.7rem 1.1rem;
    text-decoration: none;
}
.menu-top a.open-btn:hover, .menu-top a.open-btn:active {
    background-color: var(--menu-btn-act);
    border: var(--menu-btn-brd-act); 
    text-decoration: none;
}


/* bottom menu */
.menu-bottom {  /* set of links 3x3 */
    display: grid; 
    grid-template-columns: repeat(3, 1fr); 
    gap: 0.5rem; 
    margin: 2rem auto;  
} 
.menu-bottom-item {
    display: flex; 
    flex-direction: column;
    justify-content: center;
    background-color: var(--grid-bg);
    border: var(--grid-brd);
    border-radius: var(--radius-s);
    font-size: 0.8rem;
    text-align: center;
    padding: 0.5rem;
}

.menu-bottom a, .menu-bottom a:visited {
    display: block; 
    color: var(--menu-txt); 
    text-decoration: none;
}
.menu-bottom a:hover, .menu-bottom a:active {
    color: var(--menu-txt-act); 
    text-decoration: underline;
    text-decoration-thickness: 2px; 
    text-underline-offset: 5px; 
    text-decoration-color: var(--menu-txt-act); 
} 


/* left menu */
aside {  /* visible by default, requires main.shift */
    position: fixed;
    left: 0;
    width: var(--menu-left-width);
    height: calc(100vh - var(--menu-top-height));
    flex-shrink: 0;
    visibility: visible;
    transform: translateX(0);
    background-color: var(--menu-bg); 
    border-right: var(--menu-brd); 
    overflow-y: auto; 
    transition: visibility 0.3s, transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    top: var(--menu-top-height);
    z-index: 1002;
}
aside.off {  /* turn left menu off */
    visibility: hidden;
    transform: translateX(-100%); 
}

.menu-left {  /* is actualy a list of details & links */
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-size: 0.90rem;
    line-height: 2; 
    list-style: none; 
    margin: 20px 5px 40px 20px;
    padding: 0; 
    user-select: none;
} 

.menu-left summary { 
    cursor: pointer; 
    list-style: none; 
} 
.menu-left summary::-webkit-details-marker {
    display: none;
}

.menu-left summary::after {
    content: "";
    display: inline-block;
    width: 0.4rem;
    height: 0.4rem;
    opacity: 0.9;
    border-right: 1px solid currentColor;
    border-bottom: 1px solid currentColor;
    transform: rotate(-45deg); 
    margin-left: 0.75rem;
    transition: transform 0.2s;
}
.menu-left details[open] > summary::after {
    transform: rotate(45deg);
}

.menu-left ul {
    border-left: var(--menu-chain); 
    list-style: none;
    margin: 0 0 0 10px;
    padding: 0 0 0 10px;
}

.menu-left a, .menu-left a:visited { 
    display: block; 
    width:100%;
    color: var(--menu-txt); 
    text-decoration: none; 
}
.menu-left a:hover, .menu-left a:active { 
    color: var(--menu-txt-act); 
    text-decoration: underline;
    text-decoration-thickness: 1px; 
    text-underline-offset: 5px; 
    text-decoration-color: var(--menu-txt-act); 
}


/* close button and overlay */
a.close-btn, a.close-btn:visited {  /* button is actualy a link */
    display: none; 
    position: fixed;
    top: 3px;
    left: 3px;
    background-color: var(--menu-btn); 
    border: var(--menu-btn-brd);  
    border-radius: var(--radius-s);
    padding: 0.7rem 1.1rem;
    font-size: 0.9rem;
    color: var(--menu-txt-act); 
    text-decoration: none;
    z-index: 10;
}
a.close-btn:hover, a.close-btn:active {
    background-color: var(--menu-btn-act);
    border: var(--menu-btn-brd-act);
    color: var(--menu-txt-act); 
    text-decoration: none;
}

.close-overlay {
    position: fixed;
    visibility: hidden;
    inset: 0;
    background-color: var(--menu-overlay); 
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px); 
    opacity: 0;
    transition: visibility 0.3s, opacity 0.3s ease;
    pointer-events: none;
    z-index: 1001;
}


 /*  download button */
.btn-download, .btn-download:visited {  /* button is actualy a link */
    background-color: var(--w2l-bg); 
    border-radius: var(--radius-s);
    padding: 0.5rem;
    color: var(--module-txt);
    text-decoration: none;
}
.btn-download:hover, .btn-download:active {
    color: var(--module-txt-act);
    text-decoration: none;
}


/* main */
main {  /* takes up full width by default, requires aside.off */
    flex-grow: 1; 
    overflow-y: auto; 
    margin: var(--menu-top-height) 1.5rem 1rem 1.5rem; 
    padding: 1.5rem;
}        
main.shift {  /* shift main for left menu */
    margin-left: var(--menu-left-width); 
}

.main-layout {
    max-width: calc(var(--main-width) + var(--menu-left-width)); 
    margin: 0 auto
}

main.shift .main-layout {
    max-width: var(--main-width); 
    margin: 0 auto
}

section {  /* blocks in main-layout */
    margin-bottom: 3rem; 
}
section:last-child {
    margin-bottom: 0;
}


/* footer */
footer {
    display: flex;
    flex-wrap: wrap; 
    justify-content: center; 
    gap: 0.5rem;

    background-color: var(--footer-bg);
    border-top: var(--footer-brd); 
    box-shadow: var(--footer-shdw); 
    font-size: 0.85rem; 
    
    font-size: 0.8rem; 
    color: var(--footer-txt);
    text-align: center;
    z-index: 1003; 
    padding: 1rem 0.1rem;
}
footer a, footer a:visited {
    color: var(--footer-txt);
    text-decoration: none;
}
footer a:hover, footer a:active {
    text-decoration: underline; 
}

.menu-footer {
    display: flex;
    flex-wrap: wrap; 
    justify-content: center; 
    gap: 0.5rem;
}


/* footnotes */
.footnote {
    display: flex;
    gap: 0.2rem;
    border-radius: var(--radius-s);
    border-left: var(--fnote-brd);
    background-color: var(--fnote-bg);
    font-size: 0.9rem;
    margin: 1.25rem 0;
    padding: 0.5rem 1rem; 
}
.footnote-number {
    display: inline-block;
    color: var(--fnote-txt); 
    margin-left: 0.1rem; 
    font-size: 0.75rem;
    font-weight: var(--fnote-txt-bf);
    vertical-align: super;
}
.footnote-mark { 
    display: inline-block;
    color: var(--fnote-txt);
    margin-left: 0.1rem; 
    font-weight: var(--fnote-txt-bf);
}
.footnote-text {
    color: var(--fnote-txt);
    margin: 0;
    line-height: 1.4;
}


/* lists */
.features-header {  /* features on the module page */
    border-left: var(--feat-h-brd);
    border-radius: var(--radius-s);
    line-height: 1.2;
    font-size: var(--fs-h4);
    font-weight: var(--feat-txt-bf);
    margin: 1.5rem 0;
    padding-left: 0.8rem;
} 
.features-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--features-list-width), 1fr));
    gap: 1.25rem;
    list-style: none;
    margin: 1rem 0;
    padding: 0;
} 
.features-list li {
    background-color: var(--feat-bg); 
    border-left: var(--feat-brd);
    border-radius: var(--radius-s);
    padding: 0.8rem;
    transition: transform 0.2s;
}
.features-list li:hover {
    background-color: var(--feat-act); 
    transform: translateY(-3px);
}


/* banner & modules & utilities */
.w2lbg {  
    background-color: var(--w2l-bg); 
    accent-color: var(--w2l-bg);
} 
.l2wbg {  
    background-color: var(--l2w-bg); 
    accent-color: var(--l2w-bg); 
}
.m2ebg { 
    background-color: var(--m2e-bg); 
    accent-color: var(--m2e-bg); 
}
.e2ebg {  
    background-color: var(--e2e-bg); 
    accent-color: var(--e2e-bg); 
}

.banner {  
    border-radius: var(--radius-s);
    box-shadow: var(--banner-shdw);
    color: var(--module-txt); 
    font-size: var(--fs-banner); 
    font-weight: var(--banner-bf);
    letter-spacing: -0.5px;
    margin-bottom: 2rem;
    padding: 0.7rem 1rem;
} 

.modulehead {  
    border-radius: var(--radius-s);
    font-size: var(--fs-h4); 
    font-weight: var(--banner-bf);
    margin-bottom: 1.2rem;
    padding: 5px 0 6px 42px; 
}
.modulehead a, .modulehead a:visited{  
    display: block;
    color: var(--module-txt);
    text-decoration: none;
}
.modulehead a:hover, .modulehead a:active{
    color: var(--module-txt-act);
    text-decoration: none;
}

.utilhead {  
    font-size: var(--fs-h4);
    font-weight: var(--util-txt-bf);
}
.utilhead a, .utilhead a:visited{  
    display: block;
    color: var(--util-txt);
    text-decoration: none;
}
.utilhead a:hover, .utilhead a:active{
    text-decoration: none;
    background-color: var(--util-bg-act);
    border-radius: var(--radius-s);
}


/* links */
a, a:visited {
    color: var(--link-txt);
    text-decoration: none;
}
a:hover, a:active {
    text-decoration: underline;
}


/* form */
form {
  width: 100%;
  max-width: var(--form-width); 
  margin: 0 auto; 
}


/* select */
select {
    width: 100%;
    background-color: var(--menu-bg);
    border: var(--grid-brd);
    border-radius: var(--radius-s);
    outline: none;
    font-size: 1rem;
    padding: 0.5rem 0.5rem;
    transition: border-color 0.2s;
}
select:focus {
    border-color: var(--w2l-bg);
}

.select-container {
    margin-bottom: 1rem;
}
.select-container label {
    display: block;
    font-size: 1rem;
    font-weight: var(--txt-bf);
    margin-bottom: 0.5rem;
}


/* list */
.list-svg {  /* list with svg-mark */
    list-style: none;
    margin: 0;
    padding: 0; 
}
.list-svg li {
    display: flex;
    align-items: flex-start;  
    margin-bottom: 0.7rem;
}
.list-svg li svg {
    flex-shrink: 0; 
    vertical-align: middle;
    margin-right: 0.5rem;
    margin-top: 0.5rem; 
}
.list-svg .list-text {
    /*word-break: break-word; 
    overflow-wrap: anywhere; */
}


/* img */
img {
    width: auto;      
    max-width: 100%;  
    height: auto;     
    align-self: center;   
    vertical-align: middle;
    border-style: none;
} 
img.module { /* icon in module */
    margin-right: 10px; 
    margin-top: 5px; 
    float: left;
}
img.util {  /* img in util */
    width: 100%;
    border-radius: var(--radius-m);
}
img.frm {  /* img in frame */
    background-color: var(--img-frm-bg);
    padding: 0.2rem; 
}
img.ico64 {
    width: 64px;
    height: 64px;
}
img.ico32 {
    width: 32px;
    height: 32px;
    border-radius: var(--radius-s);
}
img.ico24 {
    width: 24px;
    height: 24px;
}
img.ico16 {
    width: 16px;
    height: 16px;
}
img.logo {
    width: 105px;
    height: 83px;
}


/* grid of modules & utilities */
.grid-module {  /* modules 2x2 */
    display: grid; 
    grid-template-columns: 1fr; 
    gap: 0.75rem; 
    margin: 2rem auto;  
} 
.grid-util {  /* utilities 1x3 */
    display: grid; 
    grid-template-columns: 1fr; 
    gap: 0.75rem; 
    margin: 0 auto;  
}
.grid-item {  /* used in grid-module/util, price-module/bundle/upgrade */
    background-color: var(--grid-bg);
    border: var(--grid-brd);
    border-radius: var(--radius-m);
    padding: 1rem;
    text-align: left;
}
.grid-item.center {
    display: flex; 
    flex-direction: column;
    justify-content: center;
}


/* pricing */
.price-module {  /* pricing 1x3 */
    display: grid; 
    grid-template-columns: minmax(0, var(--tab-elem-width)); 
    gap: 0.75rem; 
    margin: 1rem auto; 
    justify-content: center; 
} 
.price-bundle {  /* pricing 1x2 */
    display: grid; 
    grid-template-columns: minmax(0, var(--tab-elem-width)); 
    gap: 0.75rem; 
    margin: 0 auto;  
    justify-content: center; 
} 
.price-upgrade {  
    display: flex; 
    margin: 1rem auto;  
    justify-content: center;
} 
.price-type {
    color: var(--txt-h3); 
    font-size: var(--fs-h3); 
    font-weight: var(--h-bf);
}
.price-prod {
    color: var(--txt-h4); 
    font-size: var(--fs-h4); 
    font-weight: var(--h-bf);
}
.price {
    font-size: 1.2rem;
    font-weight: var(--price-bf);
}


/* tab (pricing) */
.tab-wrapper {
    width: 100%;
    margin: 2rem 0; 
}

.tab-wrapper:not(:has(:target)) #btn1,
.tab-wrapper:has(#tab1:target) #btn1,
.tab-wrapper:has(#tab2:target) #btn2,
.tab-wrapper:has(#tab3:target) #btn3 {
    background-color: var(--tab-btn-sel-bg);
    border: var(--tab-btn-act-brd);
    box-shadow: var(--tab-btn-shdw);
    color: var(--tab-sel-txt);
    font-weight: var(--tab-txt-bf);
}

.tab-btn {
    display: flex;
    gap: 0.75rem;
    margin-bottom: 1rem;
}

.tab-btn a, .tab-btn a:visited {
    flex: 1;
    background-color: var(--tab-btn-bg);
    border: var(--tab-btn-brd);
    border-radius: var(--radius-m);
    color: var(--tab-txt);
    text-align: center;
    text-decoration: none;
    padding: 0.5rem;
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}
.tab-btn a:hover {
    box-shadow: var(--tab-btn-shdw);
}
.tab-btn a:active {
    box-shadow: none;
}

.tab-content {
    display: none; 
    border-radius: var(--radius-m);
    box-shadow: var(--tab-shdw);
    animation: fadeIn 0.4s ease;   
    padding: 1.5rem;
    scroll-margin-top: var(--tab-top); 
}
@keyframes fadeIn {
    from { opacity: 0; transform: translateY(10px); }
    to { opacity: 1; transform: translateY(0); }`
}
.tab-wrapper:not(:has(:target)) #tab1,
:is(#tab1, #tab2, #tab3):target {
    display: block;
}

/* checkbox (agree to terms) and buy button */
.checkbox-container {  
    display: flex;
    align-items: flex-start;
    gap: 1rem;
    margin-bottom: 1rem;
}
.checkbox-container input[type="checkbox"] {
    width: 1rem;
    height: 1rem;
    cursor: pointer;
    margin-top: 0.7rem;
}
.checkbox-container label {
    font-size: 0.8rem;
    line-height: 1.5;
    cursor: pointer;
    user-select: none;
    margin: 0.5rem 0; 
}
.checkbox-container label a, .checkbox-container label a:visited {
    color: var(--txt-p);
    text-decoration: none;
}
.checkbox-container label a:hover, .checkbox-container label a:active {
    color: var(--txt-p);
    text-decoration: underline;
}

.pay-btn {
    display: block;
    width: 100%;
    border: none;
    border-radius: var(--radius-s);
    color: var(--module-txt);
    font-size: 1rem;
    text-align: center;
    cursor: pointer;
    padding: 0.7rem;
}
.pay-btn:hover {
    color: var(--module-txt-act);
}


/* F.A.Q. */
.faq-section {
    max-width: 100%;
    margin: 3rem 0;
}

.faq-item {
    background-color: var(--bgrnd);
    border: var(--tab-btn-brd);  
    border-radius: var(--radius-m);
    overflow: hidden;
    transition: box-shadow 0.2s ease;
    margin: 1rem 0;
    user-select: none;
}
.faq-item:hover {
    box-shadow: var(--tab-btn-shdw); 
}
.faq-item[open] .faq-question {
    border-bottom: var(--tab-btn-brd);
}
.faq-item[open] .faq-question::after {
    content: '−';
}

.faq-question {
    display: block;
    position: relative;
    list-style: none; 
    cursor: pointer;
    color: var(--tab-txt);
    font-weight: var(--tab-txt-bf);
    padding: 1rem 2.5rem 1rem 1.5rem;
}
.faq-question::-webkit-details-marker {
    display: none;
}
.faq-question::after {
    content: '+';
    position: absolute;
    right: 1.5rem;
    top: 50%;
    color: var(--tab-txt);
    font-size: 1.5rem;
    transform: translateY(-50%);
    transition: transform 0.2s ease;
}

.faq-answer {
    background-color: var(--tab-btn-bg);
    line-height: 1.6;
    font-size: 0.9rem;
    padding: 1rem 1.5rem;
}


/* @media */
@media (min-width: 850px) {  /* modules grid by 2 rows */
    .grid-module {
        grid-template-columns: repeat(2, 1fr); 
    }
    
    .price-bundle {
        grid-template-columns: repeat(2, 1fr); 
    }
} 

@media (min-width: 900px) {  /* utilities grid by 3 rows */
    .grid-util {
        grid-template-columns: repeat(3, 1fr); 
    }
} 

@media (min-width: 1150px) {  /* utilities grid by 3 rows */
    .price-module {
        grid-template-columns: repeat(3, 1fr); 
    }
} 

@media (max-width: 900px) {  /* humburger 768 */
    :root {
        --fs-h1: 2.2rem;
        --fs-headline: 2.2rem;
        --fs-tagline: 1.2rem;
        --fs-banner: 1.35rem;
        --fs-h2: 1.8rem;
        --fs-h3: 1.5rem;
        --fs-h4: 1.25rem;
    }
    
    .menu-top {
        justify-content: space-between; 
    }
    
    .menu-top a.open-btn {
        display: block;
    }
    
    .menu-top li.menu-wide {
        display: none;
    }
    
    .menu-top li.menu-short {
        display: list-item;
    }
    
    main.shift {
        margin-left: 1.5rem;
    } 
    
    aside {  
        top: 0; 
        height: auto;
        max-height: 100vh;
        visibility: hidden;
        transform: translateX(-100%); 
        border-radius: var(--radius-l);
        box-shadow: var(--menu-shdw);
        z-index: 1004;
    }  
    
    #nav-menu:target {
        visibility: visible;
        transform: translateX(0);
    }
    
    #nav-menu:target ~ .close-overlay {
        visibility: visible;
        opacity: 1;
        pointer-events: auto;
    }
    
    #nav-menu:target .close-btn {
        display: block;
        left: auto;
        right: 1rem;
    }
    
    .footer-divider {
        display: none; 
    }
    footer {
        flex-direction: column; 
        gap: 0.8rem;
    }
    .menu-footer {
        gap: 1rem;
    }
}

@media (max-width: 600px) {  /* logo */
    :root {
        --fs-headline: 1.8rem;
        --fs-tagline: 1.1rem;
    }
    
    img.logo {
        width: 69px;
        height: 55px;
    }
}